Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.format.datetime.joda
Class JodaTimeContextHolder

    java.lang.Object
      org.springframework.format.datetime.joda.JodaTimeContextHolder

    public final class JodaTimeContextHolder

extends java.lang.Object

A holder for a thread-local user `JodaTimeContext`.

Since:
  3.0
Author:
  Keith Donald, Juergen Hoeller

Constructor Summary
`JodaTimeContextHolder()`

Method Summary
`static org.joda.time.format.DateTimeFormatter` | `getFormatter(org.joda.time.format.DateTimeFormatter formatter, java.util.Locale locale)` Obtain a DateTimeFormatter with user-specific settings applied to the given base Formatter.
`static JodaTimeContext` | `getJodaTimeContext()` Return the JodaTimeContext associated with the current thread, if any.
`static void` | `resetJodaTimeContext()` Reset the JodaTimeContext for the current thread.
`static void` | `setJodaTimeContext(JodaTimeContext jodaTimeContext)` Associate the given JodaTimeContext with the current thread.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JodaTimeContextHolder

    public JodaTimeContextHolder()

Method Detail

### resetJodaTimeContext

    public static void resetJodaTimeContext()

  Reset the JodaTimeContext for the current thread.

### setJodaTimeContext

    public static void setJodaTimeContext(JodaTimeContext jodaTimeContext)

  Associate the given JodaTimeContext with the current thread.

  Parameters:
    `jodaTimeContext` - the current JodaTimeContext, or `null` to reset the thread-bound context

### getJodaTimeContext

    public static JodaTimeContext getJodaTimeContext()

  Return the JodaTimeContext associated with the current thread, if any.

  Returns:
    the current JodaTimeContext, or `null` if none

### getFormatter

    public static org.joda.time.format.DateTimeFormatter getFormatter(org.joda.time.format.DateTimeFormatter formatter,
                                                                      java.util.Locale locale)

  Obtain a DateTimeFormatter with user-specific settings applied to the given base Formatter.

  Parameters:
    `formatter` - the base formatter that establishes default formatting rules (generally user independent)
    `locale` - the current user locale (may be `null` if not known)
  Returns:
    the user-specific DateTimeFormatter

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD